Subject: Re: [PATCH/RFC 4/6] transport: add refspec list parameters to functions

From: David Turner <[email-masked]>
Date: Tue, 19 Apr 2016 19:43:11 -0400

On Tue, 2016-04-19 at 19:22 -0400, Jeff King wrote:
> You can find previous discussion on the list, but I think the options
> basically are:
> 
>   1. Something like v2, where the client gets a chance to speak
> before
>      the advertisement.
> 
>   2. Some out-of-band way of getting values from the client to the
>      server (so maybe extra command-line arguments for git-over-ssh,
> and
>      maybe shoving something after the "\0" for git-daemon, and of
>      course extra parameters for HTTP).
> 
>   3. The client saying "stop spewing refs at me, I want to give you a
>      ref filter" asynchronously, and accepting a little spew at the
>      beginning of each conversation. That obviously only works for
> the
>      full-duplex transports, so you'd probably fall back to (2) for
>      http.

OK, so (2) seems like what I'm doing -- it just happens that I only
implemented it for one protocol.